#pragma once

#include "Actors\Actor.h"

class Bacterium;

class SelectionCircle : public Actor
{
public:
	SelectionCircle(Bacterium *belongsToThisBacterium);
	virtual ~SelectionCircle();
	virtual void PreDestroy();

	virtual void Update(float dt);
	virtual void Render();
	virtual void ReceiveMessage(Message *m);

private:
	Bacterium *belongsToThis;
};
